summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2019-11-14 07:35:51 +0100
committerFabian Groffen <grobian@gentoo.org>2019-11-14 07:35:51 +0100
commitc9047396875b04faa35fc808554535b48c0cd482 (patch)
tree2c7ffb05c928ed558c952ca6b01d5b5ce0c0f9c8 /eclass
parentsys-devel/binutils-config: experimental support for libmissing (diff)
downloadprefix-c9047396875b04faa35fc808554535b48c0cd482.tar.gz
prefix-c9047396875b04faa35fc808554535b48c0cd482.tar.bz2
prefix-c9047396875b04faa35fc808554535b48c0cd482.zip
eclass/python-utils-r1: sync with gx86
Signed-off-by: Fabian Groffen <grobian@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python-utils-r1.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 859f4daf4a..2ea5bab356 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -44,7 +44,7 @@ _PYTHON_ALL_IMPLS=(
jython2_7
pypy pypy3
python2_7
- python3_5 python3_6 python3_7
+ python3_5 python3_6 python3_7 python3_8
)
readonly _PYTHON_ALL_IMPLS
@@ -80,7 +80,7 @@ _python_impl_supported() {
# keep in sync with _PYTHON_ALL_IMPLS!
# (not using that list because inline patterns shall be faster)
case "${impl}" in
- python2_7|python3_[567]|jython2_7)
+ python2_7|python3_[5678]|jython2_7)
return 0
;;
pypy1_[89]|pypy2_0|python2_[56]|python3_[1234])
@@ -720,7 +720,7 @@ python_optimize() {
if [[ ${f} == /* && -d ${D%/}${f} ]]; then
set -- "${D%/}${f}" "${@}"
fi
- done < <("${PYTHON}" -c 'import sys; print("\0".join(sys.path))' || die)
+ done < <("${PYTHON}" -c 'import sys; print("".join(x + "\0" for x in sys.path))' || die)
debug-print "${FUNCNAME}: using sys.path: ${*/%/;}"
fi
@@ -1024,7 +1024,7 @@ python_wrapper_setup() {
rm -f "${workdir}"/bin/2to3 || die
rm -f "${workdir}"/pkgconfig/python{,2,3}.pc || die
- local EPYTHON PYTHON PYTHON_CONFIG
+ local EPYTHON PYTHON
python_export "${impl}" EPYTHON PYTHON
local pyver pyother